# class PartActivateEvent

###

Module | kparts
Namespace | KParts
Class | PartActivateEvent
Inherits | KParts::Event

This event is sent by the part manager when the active part changes. Each time the active part changes, it will send first a PartActivateEvent with activated=false, part=oldActivePart, widget=oldActiveWidget and then another PartActivateEvent with activated=true, part=newPart, widget=newWidget.

See also KParts.Part.partActivateEvent

### methods

- PartActivateEvent (activated, part, widget)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  activated | bool |
  part | KParts.Part |
  widget | QWidget |

- activated ( )

  returns bool

- part ( )

  returns KParts.Part

- test (event)

  returns bool
  static

  Argument | Type | Default
  --- | --- | ---
  event | QEvent |

- widget ( )

  returns QWidget